/*
 * @Author: wuhao930406 1148547900@qq.com
 * @Date: 2023-08-03 11:31:00
 * @LastEditors: wuhao930406 1148547900@qq.com
 * @LastEditTime: 2023-08-24 14:27:24
 * @FilePath: /editor-plus/src/pages/components/GlftBlock/index.jsx
 * @Description:
 *
 * Copyright (c) 2023 by ${git_name_email}, All Rights Reserved.
 */
import { Gltf, OrbitControls } from "@react-three/drei";
import { Canvas } from "@react-three/fiber";
import "./index.less";

function PointViewer({ url }) {
  
  return (
    <div className="bar-block-component">
      <Canvas style={{ height: "600px", width: "100%" }} id={"sada"}>
        <color attach="background" args={["#333"]} />
        <ambientLight intensity={1} />
        <OrbitControls></OrbitControls>
        <pointLight position={[10, 10, 10]} intensity={1} />
        <Gltf
          src={"./model.glb"}
          receiveShadow
          castShadow
          position={[0, 0, 0]}
        />
      </Canvas>
    </div>
  );
}

export default PointViewer;
